#ifndef QSPLAT_GUI_WX_H
#define QSPLAT_GUI_WX_H

/*
 Jonathan Berger
 Szymon Rusinkiewicz
 
 qsplat_gui_wx.h
 The wxWindows-specific class

 Copyright (c) 1999-2000 The Board of Trustees of the
 Leland Stanford Junior University.  All Rights Reserved.
 */

#include "wx/wx.h"
#include "wx/glcanvas.h"

#include "qsplat_gui.h"
#include "qsplat_gui_wxviewer.h"

#ifdef DARWIN
# include <Carbon/Carbon.h>
#endif

#define GUI ((QSplatWXGUI *) theQSplatGUI)

class QSplatWXGUI : public QSplatGUI {
public:
    MainFrame*	 m_frame;
    int canvas_width, canvas_height;
    bool do_redraw;

    QSplatWXGUI() : m_frame(NULL), canvas_width(0), canvas_height(0), do_redraw(false)
    { }    
    
    virtual void Go();
    virtual int screenx() { return canvas_width; }
    virtual int screeny() { return canvas_height; }
    virtual void fullscreen(bool go_fullscreen);
    virtual int viewportx() { return 0; }
    virtual int viewporty() { return 0; }
    virtual void need_redraw() { do_redraw = true; }
    virtual void updaterate(const char *text);
    virtual void updatestatus(const char *text);
    virtual void updatemenus();
    virtual void aboutmodel();
    virtual void aboutqsplat();
    virtual void display_dialog(const char *title, const char *message);
    virtual void swapbuffers();
    virtual bool abort_drawing(float time_elapsed);
    virtual void end_drawing(bool bailed);

    static std::vector<EventRef> QSplatWXGUI::events_received;
};

#endif
